cardholder.kyc.status_changed


Event metadata

  • name: ISSUING
  • types:
    • cardholder.kyc.status_changed: Triggered when the cardholder's KYC status changes (e.g., review initiated after creation, callback updates status, manual review result).

Request body

FieldsData TypeDescription
event_idstringA unique ID for the event.
event_namestringEvent name.
event_typestringEvent type.
source_idstringCardholder id.
versionstringAPI Version number.
dataobjectRelated business objects.

data fields

FieldsData TypeDescription
cardholder_idstringThe affected cardholder's unique identifier.
emailstringThe cardholder's email address.
first_namestringThe cardholder's first name.
last_namestringThe cardholder's last name.
date_of_birthstringThe cardholder's date of birth in yyyy-mm-dd format.
country_codestringThe cardholder's country code.
nationalitystringThe cardholder's nationality in ISO 3166-1 alpha-2 format.
phone_numberstringThe cardholder's phone number.
cardholder_statusstringCurrent status: SUCCESS | PENDING | INCOMPLETE | FAILED.
idv_statusstringIDV verification status: PENDING | PASSED | FAILED. Empty if N/A.
idv_providerstringIDV provider name (e.g., SUMSUB). Empty if N/A.
create_timestringCardholder creation time in ISO 8601 format.

Notification example

cardholder.kyc.status_changed

{
    "version": "V1.6.0",
    "event_name": "cardholder.kyc.status_changed",
    "event_type": "cardholder.kyc.status_changed",
    "event_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "source_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
    "data": {
        "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
        "email": "[email protected]",
        "first_name": "John",
        "last_name": "Doe",
        "date_of_birth": "1990-01-01",
        "country_code": "SG",
        "nationality": "SG",
        "phone_number": "+6512345678",
        "cardholder_status": "SUCCESS",
        "idv_status": "",
        "idv_provider": "",
        "create_time": "2026-04-01T10:00:00Z"
    }
}